Index: trunk/LMDZ.TITAN/libf/phytitan/cirs_haze.F90
===================================================================
--- trunk/LMDZ.TITAN/libf/phytitan/cirs_haze.F90	(revision 1126)
+++ trunk/LMDZ.TITAN/libf/phytitan/cirs_haze.F90	(revision 1126)
@@ -0,0 +1,38 @@
+subroutine cirs_haze(press,wno,taeros,taeroscat)
+IMPLICIT NONE
+
+real,intent(in)   :: press,wno
+real,intent(inout):: taeros,taeroscat
+
+!---------------------------
+! Attention: taeros est en m-1
+! mais la valeur semble devoir etre multipliee par lambda (en m) pour
+! obtenir une valeur comparable a celle fournies par Sandrine...
+! a tirer au clair...
+!---------------------------
+
+real         :: taerosold
+logical,save :: firstcall=.true.
+
+if (firstcall) then
+   print*,"CIRS HAZE"
+   firstcall=.false.
+endif
+
+if (wno.eq.600.) then
+ print*,press,wno,taeros,taeroscat
+endif
+
+taerosold = taeros
+
+! modif de taeros
+
+! taeroscat est modifie proportionnellement a taeros
+
+if (taerosold.ne.0.) then
+   taeroscat = taeroscat/taerosold*taeros
+endif
+
+! Je maintiens le cbar du calcul microphysique
+
+end subroutine cirs_haze
Index: trunk/LMDZ.TITAN/libf/phytitan/common_mod.F90
===================================================================
--- trunk/LMDZ.TITAN/libf/phytitan/common_mod.F90	(revision 1121)
+++ trunk/LMDZ.TITAN/libf/phytitan/common_mod.F90	(revision 1126)
@@ -34,7 +34,9 @@
 
 ! ancien titan_for.h
-      INTEGER, PARAMETER :: NLEV=llm,NC=44,ND=54,NR=377
+      INTEGER, PARAMETER :: NLEV=llm+70,NC=44,ND=54,NR=377
 !$OMP THREADPRIVATE(NLEV,NC,ND,NR)
 !!!  doivent etre en accord avec titan.h
+! pour l'UV (650 niveaux de 2 km)
+      INTEGER, PARAMETER :: NLRT=650
 
 ! ancien diagmuphy.h
Index: trunk/LMDZ.TITAN/libf/phytitan/optci.F
===================================================================
--- trunk/LMDZ.TITAN/libf/phytitan/optci.F	(revision 1121)
+++ trunk/LMDZ.TITAN/libf/phytitan/optci.F	(revision 1126)
@@ -162,4 +162,7 @@
           XICLDI2(K)=TNI
  420  CONTINUE
+
+c DEBUG
+c       print*,"wnoi=",WNOI
 
 C
@@ -284,4 +287,20 @@
         TauGID(ig,:,:) = TAUGID_1pt(:,:) 
 
+c DEBUG
+c     if(ig.eq.(ngrid/2+16)) then
+c         print*,ig,'/',KLON,':'
+c         print*,'TauHID_1',TAUHID(ig,1,:)
+c         print*,'TauGID_1',TAUGID(ig,1,:)
+c         print*,'TauHID_50',TAUHID(ig,50,:)
+c         print*,'TauGID_50',TAUGID(ig,50,:)
+c         print*,"DTAUI_1=",DTAUI(ig,1,:)
+c         print*,"DTAUI_50=",DTAUI(ig,50,:)
+c         print*,'cosBI_1',COSBI(ig,1,:)
+c         print*,'cosBI_50',COSBI(ig,50,:)
+c         print*,'WBARI_1',WBARI(ig,1,:)
+c         print*,'WBARI_50',WBARI(ig,50,:)
+c         stop
+c     endif
+
 c************************************************************************
 c************************************************************************
Index: trunk/LMDZ.TITAN/libf/phytitan/optci_1pt_3.F
===================================================================
--- trunk/LMDZ.TITAN/libf/phytitan/optci_1pt_3.F	(revision 1121)
+++ trunk/LMDZ.TITAN/libf/phytitan/optci_1pt_3.F	(revision 1126)
@@ -282,4 +282,6 @@
 c     CBAR=xv3(j,k)
 
+c     print*, 'HERE, CIRS AEROSOLS'
+c     call cirs_haze(PRESS(J),WNOI(K),TAEROS,TAEROSCAT,CBAR)
 
 c*********** EN TRAVAUX ***************************
Index: trunk/LMDZ.TITAN/libf/phytitan/optcv.F
===================================================================
--- trunk/LMDZ.TITAN/libf/phytitan/optcv.F	(revision 1121)
+++ trunk/LMDZ.TITAN/libf/phytitan/optcv.F	(revision 1126)
@@ -148,4 +148,7 @@
 c       close(1)
 
+c DEBUG
+c       print*,"wnov=",WNOV
+
       endif    ! fin initialisations premier appel
 
@@ -167,5 +170,5 @@
         else
          if (ig.eq.1)  then
-c initialisation zqaer_1pt a partir d'une look-up table (uniforme en ig)
+c initialisation zqaer_1pt a partir d une look-up table (uniforme en ig)
 c boucle sur nrad=10
            open(10,file="qaer_eq_1d.dat")
@@ -220,4 +223,14 @@
         TauGVD(ig,:,:) = TAUGVD_1pt(:,:) 
 
+c DEBUG
+c     if(ig.eq.(ngrid/2+16)) then
+c         print*,ig,'/',KLON,':'
+c         print*,'TauHVD_1',TAUHVD(ig,1,:)
+c         print*,'TauGVD_1',TAUGVD(ig,1,:)
+c         print*,'TauHVD_50',TAUHVD(ig,50,:)
+c         print*,'TauGVD_50',TAUGVD(ig,50,:)
+c     stop
+c     endif
+
  101  CONTINUE
 
Index: trunk/LMDZ.TITAN/libf/phytitan/optcv_1pt_3.F
===================================================================
--- trunk/LMDZ.TITAN/libf/phytitan/optcv_1pt_3.F	(revision 1121)
+++ trunk/LMDZ.TITAN/libf/phytitan/optcv_1pt_3.F	(revision 1126)
@@ -231,4 +231,7 @@
 
        IF (TAEROSCAT.le.0.) CBAR=0. 
+
+c     print*, 'HERE, CIRS AEROSOLS'
+c     call cirs_haze(PRESS(J),WNOV(K),TAEROS,TAEROSCAT,CBAR)
 
 1699  FORMAT(a3,2I3,3(ES15.7,1X))
Index: trunk/LMDZ.TITAN/libf/phytitan/physiq.F
===================================================================
--- trunk/LMDZ.TITAN/libf/phytitan/physiq.F	(revision 1121)
+++ trunk/LMDZ.TITAN/libf/phytitan/physiq.F	(revision 1126)
@@ -419,5 +419,5 @@
          itap    = 0
          itaprad = 0
-         itapchim    = 0
+         itapchim    = 1
 
 c init rnuabar
@@ -1126,5 +1126,9 @@
          tr_seri(:,:,1:nmicro) = tr_seri(:,:,1:nmicro)
      .                        + d_tr_mph(:,:,1:nmicro)*dtime
-
+c        call WriteField_phy('physiq_d_tr_mph01',
+c    .                          d_tr_mph(:,:,1),klev)
+c        call WriteField_phy('physiq_d_tr_mph10',
+c    .                          d_tr_mph(:,:,10),klev)
+	endif
 c       PAS ELEGANT mais je n'ai pas trouve d'autres solutions :
 c       Il semblerait qu'il y ait un probleme lorsque les tendances de traceurs
@@ -1141,6 +1145,4 @@
         ENDDO
 
-	endif
-
 c condensation:
 c       NE PAS OUBLIER LA CONDENSATION DES NUAGES !!!!
@@ -1149,10 +1151,11 @@
      .                         + d_tr_mph(:,:,nmicro+1:nqmax)*dtime
         endif
+
+c chimie:
         if ((chimi).and.(nqmax.gt.nmicro)) then
-c chimie:
          tr_seri(:,:,:) = tr_seri(:,:,:) + d_tr_kim(:,:,:)*dtime
 	endif
 
-      endif
+      endif  !iflag_trac=1
 
 c       ch4=0.
Index: trunk/LMDZ.TITAN/libf/phytitan/phytrac.F
===================================================================
--- trunk/LMDZ.TITAN/libf/phytitan/phytrac.F	(revision 1121)
+++ trunk/LMDZ.TITAN/libf/phytitan/phytrac.F	(revision 1126)
@@ -459,5 +459,5 @@
 c ------------
        CALL calchim(klon,nqmax-nmicro,ychim,nomqy,pdecli,lonsol,dtkim,
-     .              ztemp,zplay,zplev,
+     .              ztemp,zplay,zplev,zzlay,zzlev,
      .              pdyfi)   
 c ychim ne doit pas etre modifie, pdyfi en /s
Index: trunk/LMDZ.TITAN/libf/phytitan/profile.F
===================================================================
--- trunk/LMDZ.TITAN/libf/phytitan/profile.F	(revision 1121)
+++ trunk/LMDZ.TITAN/libf/phytitan/profile.F	(revision 1126)
@@ -94,7 +94,8 @@
        b2 =       3183. 
        c2 =       4737. 
+c pres est en Pa => conversion car expression veut p en hPa
        DO il=1,nlev
-         temp(il)=a1*exp(-((pres(il)-b1)/c1)**2.) 
-     .          + a2*exp(-((pres(il)-b2)/c2)**2.)
+         temp(il)=a1*exp(-((pres(il)/100.-b1)/c1)**2.) 
+     .          + a2*exp(-((pres(il)/100.-b2)/c2)**2.)
        ENDDO
        zkm(1)  = 0.0
